#!/bin/bash
#
# MM-220112
# Linux script to flash a MSP430FR5739 Launchpad using mspdebug and libmsp430.so
#
# libmsp430.so must be installed and visible in the library loader path (e.g. 
# in /usr/lib). You can take it from TIs uniflash for Linux or you can just use 
# uniflash.
#

IMAGE="430eforth-x-43n7vis.hex"

echo -ne "\033[1mMSPDebug: Program MSP430FR5739 LaunchPad with $IMAGE ?\033[0m"

read -n 1 -p " [N/y] " REPLY ; echo

if [ ! "$REPLY" == "y" ] ; then exit ; fi

mspdebug tilib 'erase all' "prog $IMAGE" "verify $IMAGE" exit

# MM-220724  lib name bug fix

