#!/bin/bash
#
# MM-220116
# Script to assemble 430eforth-x-43n7vis.asm with the naken_asm assembler.
#

eForth="430eforth-x-43n7vis"
Source="$eForth.asm"
Image="$eForth.hex"

naken_asm -optimize -l -o $Image $Source || exit
        # -optimize gives 10 bytes less code size here

echo " $Source --> Image: $Image"
echo
exit

MM-190125

From naken docs/MSP430.md :

Optimizations
-------------

If the -optimize command line argument is set, currently the only thing
that will get optimized is a first operand that is using the indexed
mode where the index is 0 will get optimized to register indirect.  An
example is:

    mov.w 0(r4), r6

will be optimized to:

    mov.w @r4, r6

There are cases where 0(r4) is preferred so the optimization is not turned
on by default.


