/* MK-220127 */

/* notes 
adopted from CCS: msp430fr5739.cmd Version: 1.213 
;nef = name is used in eforth source file 
*/

#define UCSWRST              0x0001 ;nef    /* USCI Software Reset */

#define CSKEY                0xA500 ;nef    /* CS Password */


/************************************************************
* some more bit names
************************************************************/

#define UCSSEL__ACLK         0x0040 ;nef
#define UCSSEL_2             0x0080 ;nef    /* USCI 0 Clock Source: 2 */
#define UCBRS2               0x0400 ;nef    /* USCI Second Stage Modulation Select 2 */

#define SELA__LFXTCLK        0x0000 ;nef   /* ACLK Source Select LFXTCLK */
#define SELS__DCOCLK         0x0030 ;nef   /* SMCLK Source Select DCOCLK */
#define SELM__DCOCLK         0x0003 ;nef    /* MCLK Source Select DCOCLK */

#define DIVA__1              0x0000 ;nef    /* ACLK Source Divider f(ACLK)/1 */

#define DIVM__1              0x0000 ;nef    /* MCLK Source Divider f(MCLK)/1 */

#define DIVS__1              0x0000 ;nef    /* SMCLK Source Divider f(SMCLK)/1 */
#define DIVS__8              0x0030 ;nef    /* SMCLK Source Divider f(SMCLK)/8 */

#define LFXTOFF              0x0001 ;nef    /* Low Frequency Oscillator (LFXT) disable */
#define LFXTOFFG             0x0001 ;nef    /* LFXT Low Frequency Oscillator Fault Flag */

#define OFIFG                0x0002 ;nef    /* Osc Fault Flag */

#define WDTPW                0x5A00 ;nef
#define WDTHOLD              0x0080 ;nef    /* WDT - Timer hold */

#define LOCKLPM5             0x0001 ;nef    /* Lock I/O pin configuration upon entry/exit to/from LPM5 */


/************************************************************
* STANDARD BITS
************************************************************/
#define BIT0                 0x0001
#define BIT1                 0x0002
#define BIT2                 0x0004
#define BIT3                 0x0008
#define BIT4                 0x0010
#define BIT5                 0x0020
#define BIT6                 0x0040
#define BIT7                 0x0080

/************************************************************
* STATUS REGISTER BITS
************************************************************/
/************************************************************
* PERIPHERAL FILE MAP
************************************************************/
/************************************************************
* ADC10_B
************************************************************/
#define ADC10CTL0            0x0700 
#define ADC10CTL0_L          0x0700 
#define ADC10CTL0_H          0x0701 
#define ADC10CTL1            0x0702 
#define ADC10CTL1_L          0x0702 
#define ADC10CTL1_H          0x0703 
#define ADC10CTL2            0x0704 
#define ADC10CTL2_L          0x0704 
#define ADC10CTL2_H          0x0705 
#define ADC10LO              0x0706 
#define ADC10LO_L            0x0706 
#define ADC10LO_H            0x0707 
#define ADC10HI              0x0708 
#define ADC10HI_L            0x0708 
#define ADC10HI_H            0x0709 
#define ADC10MCTL0           0x070A 
#define ADC10MCTL0_L         0x070A 
#define ADC10MCTL0_H         0x070B 
#define ADC10MEM0            0x0712 
#define ADC10MEM0_L          0x0712 
#define ADC10MEM0_H          0x0713 
#define ADC10IE              0x071A 
#define ADC10IE_L            0x071A 
#define ADC10IE_H            0x071B 
#define ADC10IFG             0x071C 
#define ADC10IFG_L           0x071C 
#define ADC10IFG_H           0x071D 
#define ADC10IV              0x071E 
#define ADC10IV_L            0x071E 
#define ADC10IV_H            0x071F 
/************************************************************
* CLOCK SYSTEM
************************************************************/
#define CSCTL0               0x0160 
#define CSCTL0_L             0x0160 
#define CSCTL0_H             0x0161 
#define CSCTL1               0x0162 
#define CSCTL1_L             0x0162 
#define CSCTL1_H             0x0163 
#define CSCTL2               0x0164 
#define CSCTL2_L             0x0164 
#define CSCTL2_H             0x0165 
#define CSCTL3               0x0166 
#define CSCTL3_L             0x0166 
#define CSCTL3_H             0x0167 
#define CSCTL4               0x0168 
#define CSCTL4_L             0x0168 
#define CSCTL4_H             0x0169 
#define CSCTL5               0x016A 
#define CSCTL5_L             0x016A 
#define CSCTL5_H             0x016B 
#define CSCTL6               0x016C 
#define CSCTL6_L             0x016C 
#define CSCTL6_H             0x016D 
/************************************************************
* Comparator D
************************************************************/
#define CDCTL0               0x08C0 
#define CDCTL0_L             0x08C0 
#define CDCTL0_H             0x08C1 
#define CDCTL1               0x08C2 
#define CDCTL1_L             0x08C2 
#define CDCTL1_H             0x08C3 
#define CDCTL2               0x08C4 
#define CDCTL2_L             0x08C4 
#define CDCTL2_H             0x08C5 
#define CDCTL3               0x08C6 
#define CDCTL3_L             0x08C6 
#define CDCTL3_H             0x08C7 
#define CDINT                0x08CC 
#define CDINT_L              0x08CC 
#define CDINT_H              0x08CD 
#define CDIV                 0x08CE 
#define CDIV_L               0x08CE 
#define CDIV_H               0x08CF 
/*************************************************************
* CRC Module
*************************************************************/
#define CRCDI                0x0150 
#define CRCDI_L              0x0150 
#define CRCDI_H              0x0151 
#define CRCDIRB              0x0152 
#define CRCDIRB_L            0x0152 
#define CRCDIRB_H            0x0153 
#define CRCINIRES            0x0154 
#define CRCINIRES_L          0x0154 
#define CRCINIRES_H          0x0155 
#define CRCRESR              0x0156 
#define CRCRESR_L            0x0156 
#define CRCRESR_H            0x0157 
/************************************************************
* DMA_X
************************************************************/
#define DMACTL0              0x0500 
#define DMACTL1              0x0502 
#define DMACTL2              0x0504 
#define DMACTL3              0x0506 
#define DMACTL4              0x0508 
#define DMAIV                0x050E 
#define DMA0CTL              0x0510 
#define DMA0SA               0x0512 
#define DMA0SAL              0x0512 
#define DMA0SAH              0x0514 
#define DMA0DA               0x0516 
#define DMA0DAL              0x0516 
#define DMA0DAH              0x0518 
#define DMA0SZ               0x051A 
#define DMA1CTL              0x0520 
#define DMA1SA               0x0522 
#define DMA1SAL              0x0522 
#define DMA1SAH              0x0524 
#define DMA1DA               0x0526 
#define DMA1DAL              0x0526 
#define DMA1DAH              0x0528 
#define DMA1SZ               0x052A 
#define DMA2CTL              0x0530 
#define DMA2SA               0x0532 
#define DMA2SAL              0x0532 
#define DMA2SAH              0x0534 
#define DMA2DA               0x0536 
#define DMA2DAL              0x0536 
#define DMA2DAH              0x0538 
#define DMA2SZ               0x053A 
/*************************************************************
* FRAM Memory
*************************************************************/
#define FRCTL0               0x0140 
#define FRCTL0_L             0x0140 
#define FRCTL0_H             0x0141 
#define GCCTL0               0x0144 
#define GCCTL0_L             0x0144 
#define GCCTL0_H             0x0145 
#define GCCTL1               0x0146 
#define GCCTL1_L             0x0146 
#define GCCTL1_H             0x0147 
/************************************************************
* Memory Protection Unit
************************************************************/
#define MPUCTL0              0x05A0 
#define MPUCTL0_L            0x05A0 
#define MPUCTL0_H            0x05A1 
#define MPUCTL1              0x05A2 
#define MPUCTL1_L            0x05A2 
#define MPUCTL1_H            0x05A3 
#define MPUSEG               0x05A4 
#define MPUSEG_L             0x05A4 
#define MPUSEG_H             0x05A5 
#define MPUSAM               0x05A6 
#define MPUSAM_L             0x05A6 
#define MPUSAM_H             0x05A7 
/************************************************************
* HARDWARE MULTIPLIER 32Bit
************************************************************/
#define MPY                  0x04C0 
#define MPY_L                0x04C0 
#define MPY_H                0x04C1 
#define MPYS                 0x04C2 
#define MPYS_L               0x04C2 
#define MPYS_H               0x04C3 
#define MAC                  0x04C4 
#define MAC_L                0x04C4 
#define MAC_H                0x04C5 
#define MACS                 0x04C6 
#define MACS_L               0x04C6 
#define MACS_H               0x04C7 
#define OP2                  0x04C8 
#define OP2_L                0x04C8 
#define OP2_H                0x04C9 
#define RESLO                0x04CA 
#define RESLO_L              0x04CA 
#define RESLO_H              0x04CB 
#define RESHI                0x04CC 
#define RESHI_L              0x04CC 
#define RESHI_H              0x04CD 
#define SUMEXT               0x04CE 
#define SUMEXT_L             0x04CE 
#define SUMEXT_H             0x04CF 
#define MPY32L               0x04D0 
#define MPY32L_L             0x04D0 
#define MPY32L_H             0x04D1 
#define MPY32H               0x04D2 
#define MPY32H_L             0x04D2 
#define MPY32H_H             0x04D3 
#define MPYS32L              0x04D4 
#define MPYS32L_L            0x04D4 
#define MPYS32L_H            0x04D5 
#define MPYS32H              0x04D6 
#define MPYS32H_L            0x04D6 
#define MPYS32H_H            0x04D7 
#define MAC32L               0x04D8 
#define MAC32L_L             0x04D8 
#define MAC32L_H             0x04D9 
#define MAC32H               0x04DA 
#define MAC32H_L             0x04DA 
#define MAC32H_H             0x04DB 
#define MACS32L              0x04DC 
#define MACS32L_L            0x04DC 
#define MACS32L_H            0x04DD 
#define MACS32H              0x04DE 
#define MACS32H_L            0x04DE 
#define MACS32H_H            0x04DF 
#define OP2L                 0x04E0 
#define OP2L_L               0x04E0 
#define OP2L_H               0x04E1 
#define OP2H                 0x04E2 
#define OP2H_L               0x04E2 
#define OP2H_H               0x04E3 
#define RES0                 0x04E4 
#define RES0_L               0x04E4 
#define RES0_H               0x04E5 
#define RES1                 0x04E6 
#define RES1_L               0x04E6 
#define RES1_H               0x04E7 
#define RES2                 0x04E8 
#define RES2_L               0x04E8 
#define RES2_H               0x04E9 
#define RES3                 0x04EA 
#define RES3_L               0x04EA 
#define RES3_H               0x04EB 
#define MPY32CTL0            0x04EC 
#define MPY32CTL0_L          0x04EC 
#define MPY32CTL0_H          0x04ED 
/************************************************************
* PMM - Power Management System
************************************************************/
#define PMMCTL0              0x0120 
#define PMMCTL0_L            0x0120 
#define PMMCTL0_H            0x0121 
#define PMMIFG               0x012A 
#define PMMIFG_L             0x012A 
#define PMMIFG_H             0x012B 
#define PM5CTL0              0x0130 
#define PM5CTL0_L            0x0130 
#define PM5CTL0_H            0x0131 
/************************************************************
* DIGITAL I/O Port1/2 Pull up / Pull down Resistors
************************************************************/
#define PAIN                 0x0200 
#define PAIN_L               0x0200 
#define PAIN_H               0x0201 
#define PAOUT                0x0202 
#define PAOUT_L              0x0202 
#define PAOUT_H              0x0203 
#define P1OUT                0x0202 ;nef    /* Port 1 Output */
#define P2OUT                0x0203 ;nef    /* Port 2 Output */
#define PADIR                0x0204 
#define PADIR_L              0x0204 
#define PADIR_H              0x0205 
#define P1DIR                0x0204 ;nef    /* Port 1 Direction */
#define P2DIR                0x0205 ;nef    /* Port 2 Direction */
; #define PAREN                0x0206 ;; conflict with eforth label PAREN:
#define PAREN_L              0x0206 
#define PAREN_H              0x0207 
#define PASEL0               0x020A 
#define PASEL0_L             0x020A 
#define PASEL0_H             0x020B 
#define P2SEL0               0x020B ;nef    /* Port 2 Select 0 */
#define PASEL1               0x020C 
#define PASEL1_L             0x020C 
#define PASEL1_H             0x020D 
#define P2SEL1               0x020D ;nef    /* Port 2 Select 1 */
#define PASELC               0x0216 
#define PASELC_L             0x0216 
#define PASELC_H             0x0217 
#define PAIES                0x0218 
#define PAIES_L              0x0218 
#define PAIES_H              0x0219 
#define PAIE                 0x021A 
#define PAIE_L               0x021A 
#define PAIE_H               0x021B 
#define PAIFG                0x021C 
#define PAIFG_L              0x021C 
#define PAIFG_H              0x021D 
#define P1IV                 0x020E 
#define P2IV                 0x021E 
/************************************************************
* DIGITAL I/O Port3/4 Pull up / Pull down Resistors
************************************************************/
#define PBIN                 0x0220 
#define PBIN_L               0x0220 
#define PBIN_H               0x0221 
#define PBOUT                0x0222 
#define PBOUT_L              0x0222 
#define PBOUT_H              0x0223 
#define P3OUT                0x0222 ;nef    /* Port 3 Output */
#define P4OUT                0x0223 ;nef    /* Port 4 Output */
#define PBDIR                0x0224 
#define PBDIR_L              0x0224 
#define PBDIR_H              0x0225 
#define P3DIR                0x0224 ;nef    /* Port 3 Direction */
#define P4DIR                0x0225 ;nef    /* Port 4 Direction */
#define PBREN                0x0226 
#define PBREN_L              0x0226 
#define PBREN_H              0x0227 
#define PBSEL0               0x022A 
#define PBSEL0_L             0x022A 
#define PBSEL0_H             0x022B 
#define PBSEL1               0x022C 
#define PBSEL1_L             0x022C 
#define PBSEL1_H             0x022D 
#define PBSELC               0x0236 
#define PBSELC_L             0x0236 
#define PBSELC_H             0x0237 
#define PBIES                0x0238 
#define PBIES_L              0x0238 
#define PBIES_H              0x0239 
#define PBIE                 0x023A 
#define PBIE_L               0x023A 
#define PBIE_H               0x023B 
#define PBIFG                0x023C 
#define PBIFG_L              0x023C 
#define PBIFG_H              0x023D 
#define P3IV                 0x022E 
#define P4IV                 0x023E 
/************************************************************
* DIGITAL I/O PortJ Pull up / Pull down Resistors
************************************************************/
#define PJIN                 0x0320 
#define PJIN_L               0x0320 
#define PJIN_H               0x0321 
#define PJOUT                0x0322 ;nef    /* Port J Output */
#define PJOUT_L              0x0322 
#define PJOUT_H              0x0323 
#define PJDIR                0x0324 ;nef    /* Port J Direction */
#define PJDIR_L              0x0324 
#define PJDIR_H              0x0325 
#define PJREN                0x0326 
#define PJREN_L              0x0326 
#define PJREN_H              0x0327 
#define PJSEL0               0x032A 
#define PJSEL0_L             0x032A ;nef    /* Port J Selection 0 */
#define PJSEL0_H             0x032B 
#define PJSEL1               0x032C 
#define PJSEL1_L             0x032C 
#define PJSEL1_H             0x032D 
#define PJSELC               0x0336 
#define PJSELC_L             0x0336 
#define PJSELC_H             0x0337 
/************************************************************
* Shared Reference
************************************************************/
#define REFCTL0              0x01B0 
#define REFCTL0_L            0x01B0 
#define REFCTL0_H            0x01B1 
/************************************************************
* Real Time Clock
************************************************************/
#define RTCCTL01             0x04A0 
#define RTCCTL01_L           0x04A0 
#define RTCCTL01_H           0x04A1 
#define RTCCTL23             0x04A2 
#define RTCCTL23_L           0x04A2 
#define RTCCTL23_H           0x04A3 
#define RTCPS0CTL            0x04A8 
#define RTCPS0CTL_L          0x04A8 
#define RTCPS0CTL_H          0x04A9 
#define RTCPS1CTL            0x04AA 
#define RTCPS1CTL_L          0x04AA 
#define RTCPS1CTL_H          0x04AB 
#define RTCPS                0x04AC 
#define RTCPS_L              0x04AC 
#define RTCPS_H              0x04AD 
#define RTCIV                0x04AE 
#define RTCTIM0              0x04B0 
#define RTCTIM0_L            0x04B0 
#define RTCTIM0_H            0x04B1 
#define RTCTIM1              0x04B2 
#define RTCTIM1_L            0x04B2 
#define RTCTIM1_H            0x04B3 
#define RTCDATE              0x04B4 
#define RTCDATE_L            0x04B4 
#define RTCDATE_H            0x04B5 
#define RTCYEAR              0x04B6 
#define RTCYEAR_L            0x04B6 
#define RTCYEAR_H            0x04B7 
#define RTCAMINHR            0x04B8 
#define RTCAMINHR_L          0x04B8 
#define RTCAMINHR_H          0x04B9 
#define RTCADOWDAY           0x04BA 
#define RTCADOWDAY_L         0x04BA 
#define RTCADOWDAY_H         0x04BB 
#define BIN2BCD              0x04BC 
#define BCD2BIN              0x04BE 
/************************************************************
* SFR - Special Function Register Module
************************************************************/
#define SFRIE1               0x0100 
#define SFRIE1_L             0x0100 
#define SFRIE1_H             0x0101 
#define SFRIFG1              0x0102 ;nef /* Interrupt Flag 1 */
#define SFRIFG1_L            0x0102 
#define SFRIFG1_H            0x0103 
#define SFRRPCR              0x0104 
#define SFRRPCR_L            0x0104 
#define SFRRPCR_H            0x0105 
/************************************************************
* SYS - System Module
************************************************************/
#define SYSCTL               0x0180 
#define SYSCTL_L             0x0180 
#define SYSCTL_H             0x0181 
#define SYSBSLC              0x0182 
#define SYSBSLC_L            0x0182 
#define SYSBSLC_H            0x0183 
#define SYSJMBC              0x0186 
#define SYSJMBC_L            0x0186 
#define SYSJMBC_H            0x0187 
#define SYSJMBI0             0x0188 
#define SYSJMBI0_L           0x0188 
#define SYSJMBI0_H           0x0189 
#define SYSJMBI1             0x018A 
#define SYSJMBI1_L           0x018A 
#define SYSJMBI1_H           0x018B 
#define SYSJMBO0             0x018C 
#define SYSJMBO0_L           0x018C 
#define SYSJMBO0_H           0x018D 
#define SYSJMBO1             0x018E 
#define SYSJMBO1_L           0x018E 
#define SYSJMBO1_H           0x018F 
#define SYSBERRIV            0x0198 
#define SYSBERRIV_L          0x0198 
#define SYSBERRIV_H          0x0199 
#define SYSUNIV              0x019A 
#define SYSUNIV_L            0x019A 
#define SYSUNIV_H            0x019B 
#define SYSSNIV              0x019C 
#define SYSSNIV_L            0x019C 
#define SYSSNIV_H            0x019D 
#define SYSRSTIV             0x019E 
#define SYSRSTIV_L           0x019E 
#define SYSRSTIV_H           0x019F 
/************************************************************
* Timer0_A3
************************************************************/
#define TA0CTL               0x0340 
#define TA0CCTL0             0x0342 
#define TA0CCTL1             0x0344 
#define TA0CCTL2             0x0346 
#define TA0R                 0x0350 
#define TA0CCR0              0x0352 
#define TA0CCR1              0x0354 
#define TA0CCR2              0x0356 
#define TA0IV                0x036E 
#define TA0EX0               0x0360 
/************************************************************
* Timer1_A3
************************************************************/
#define TA1CTL               0x0380 
#define TA1CCTL0             0x0382 
#define TA1CCTL1             0x0384 
#define TA1CCTL2             0x0386 
#define TA1R                 0x0390 
#define TA1CCR0              0x0392 
#define TA1CCR1              0x0394 
#define TA1CCR2              0x0396 
#define TA1IV                0x03AE 
#define TA1EX0               0x03A0 
/************************************************************
* Timer0_B3
************************************************************/
#define TB0CTL               0x03C0 
#define TB0CCTL0             0x03C2 
#define TB0CCTL1             0x03C4 
#define TB0CCTL2             0x03C6 
#define TB0R                 0x03D0 
#define TB0CCR0              0x03D2 
#define TB0CCR1              0x03D4 
#define TB0CCR2              0x03D6 
#define TB0EX0               0x03E0 
#define TB0IV                0x03EE 
/************************************************************
* Timer1_B3
************************************************************/
#define TB1CTL               0x0400 
#define TB1CCTL0             0x0402 
#define TB1CCTL1             0x0404 
#define TB1CCTL2             0x0406 
#define TB1R                 0x0410 
#define TB1CCR0              0x0412 
#define TB1CCR1              0x0414 
#define TB1CCR2              0x0416 
#define TB1IV                0x042E 
#define TB1EX0               0x0420 
/************************************************************
* Timer2_B3
************************************************************/
#define TB2CTL               0x0440 
#define TB2CCTL0             0x0442 
#define TB2CCTL1             0x0444 
#define TB2CCTL2             0x0446 
#define TB2R                 0x0450 
#define TB2CCR0              0x0452 
#define TB2CCR1              0x0454 
#define TB2CCR2              0x0456 
#define TB2IV                0x046E 
#define TB2EX0               0x0460 
/************************************************************
* USCI A0
************************************************************/
#define UCA0CTLW0            0x05C0 
#define UCA0CTLW0_L          0x05C0 
#define UCA0CTL0             0x05C0 ;nef  /* USCI A0 Control Register 0 */
#define UCA0CTL1             0x05C1 ;nef  /* USCI A0 Control Register 1 */
#define UCA0CTLW0_H          0x05C1 
#define UCA0CTLW1            0x05C2 
#define UCA0CTLW1_L          0x05C2 
#define UCA0CTLW1_H          0x05C3 
#define UCA0BRW              0x05C6 
#define UCA0BRW_L            0x05C6 
#define UCA0BR0              0x05C6 ;nef  /* USCI A0 Baud Rate 0 */
#define UCA0BR1              0x05C7 ;nef  /* USCI A0 Baud Rate 1 */
#define UCA0BRW_H            0x05C7 
#define UCA0MCTLW            0x05C8 
#define UCA0MCTLW_L          0x05C8 
#define UCA0MCTLW_H          0x05C9 
#define UCA0STATW            0x05CA 
#define UCA0RXBUF            0x05CC ;nef   /* USCI A0 Receive Buffer */
#define UCA0RXBUF_L          0x05CC 
#define UCA0RXBUF_H          0x05CD 
#define UCA0TXBUF            0x05CE ;nef   /* USCI A0 Transmit Buffer */
#define UCA0TXBUF_L          0x05CE 
#define UCA0TXBUF_H          0x05CF 
#define UCA0ABCTL            0x05D0 
#define UCA0IRCTL            0x05D2 
#define UCA0IRCTL_L          0x05D2 
#define UCA0IRCTL_H          0x05D3 
#define UCA0IE               0x05DA 
#define UCA0IE_L             0x05DA 
#define UCA0IE_H             0x05DB 
#define UCA0IFG              0x05DC 

#define UCRXIFG              0x0001 ;nef /* bit */
#define UCTXIFG              0x0002 ;nef /* bit */

#define UCA0IFG_L            0x05DC 
#define UCA0IFG_H            0x05DD 
#define UCA0IV               0x05DE 
/************************************************************
* USCI B0
************************************************************/
#define UCB0CTLW0            0x0640 
#define UCB0CTLW0_L          0x0640 
#define UCB0CTLW0_H          0x0641 
#define UCB0CTLW1            0x0642 
#define UCB0CTLW1_L          0x0642 
#define UCB0CTLW1_H          0x0643 
#define UCB0BRW              0x0646 
#define UCB0BRW_L            0x0646 
#define UCB0BRW_H            0x0647 
#define UCB0STATW            0x0648 
#define UCB0STATW_L          0x0648 
#define UCB0STATW_H          0x0649 
#define UCB0TBCNT            0x064A 
#define UCB0TBCNT_L          0x064A 
#define UCB0TBCNT_H          0x064B 
#define UCB0RXBUF            0x064C 
#define UCB0RXBUF_L          0x064C 
#define UCB0RXBUF_H          0x064D 
#define UCB0TXBUF            0x064E 
#define UCB0TXBUF_L          0x064E 
#define UCB0TXBUF_H          0x064F 
#define UCB0I2COA0           0x0654 
#define UCB0I2COA0_L         0x0654 
#define UCB0I2COA0_H         0x0655 
#define UCB0I2COA1           0x0656 
#define UCB0I2COA1_L         0x0656 
#define UCB0I2COA1_H         0x0657 
#define UCB0I2COA2           0x0658 
#define UCB0I2COA2_L         0x0658 
#define UCB0I2COA2_H         0x0659 
#define UCB0I2COA3           0x065A 
#define UCB0I2COA3_L         0x065A 
#define UCB0I2COA3_H         0x065B 
#define UCB0ADDRX            0x065C 
#define UCB0ADDRX_L          0x065C 
#define UCB0ADDRX_H          0x065D 
#define UCB0ADDMASK          0x065E 
#define UCB0ADDMASK_L        0x065E 
#define UCB0ADDMASK_H        0x065F 
#define UCB0I2CSA            0x0660 
#define UCB0I2CSA_L          0x0660 
#define UCB0I2CSA_H          0x0661 
#define UCB0IE               0x066A 
#define UCB0IE_L             0x066A 
#define UCB0IE_H             0x066B 
#define UCB0IFG              0x066C 
#define UCB0IFG_L            0x066C 
#define UCB0IFG_H            0x066D 
#define UCB0IV               0x066E 
/************************************************************
* USCI A1
************************************************************/
#define UCA1CTLW0            0x05E0 
#define UCA1CTLW0_L          0x05E0 
#define UCA1CTLW0_H          0x05E1 
#define UCA1CTLW1            0x05E2 
#define UCA1CTLW1_L          0x05E2 
#define UCA1CTLW1_H          0x05E3 
#define UCA1BRW              0x05E6 
#define UCA1BRW_L            0x05E6 
#define UCA1BRW_H            0x05E7 
#define UCA1MCTLW            0x05E8 
#define UCA1MCTLW_L          0x05E8 
#define UCA1MCTLW_H          0x05E9 
#define UCA1STATW            0x05EA 
#define UCA1RXBUF            0x05EC 
#define UCA1RXBUF_L          0x05EC 
#define UCA1RXBUF_H          0x05ED 
#define UCA1TXBUF            0x05EE 
#define UCA1TXBUF_L          0x05EE 
#define UCA1TXBUF_H          0x05EF 
#define UCA1ABCTL            0x05F0 
#define UCA1IRCTL            0x05F2 
#define UCA1IRCTL_L          0x05F2 
#define UCA1IRCTL_H          0x05F3 
#define UCA1IE               0x05FA 
#define UCA1IE_L             0x05FA 
#define UCA1IE_H             0x05FB 
#define UCA1IFG              0x05FC 
#define UCA1IFG_L            0x05FC 
#define UCA1IFG_H            0x05FD 
#define UCA1IV               0x05FE 
/************************************************************
* WATCHDOG TIMER A
************************************************************/
#define WDTCTL               0x015C ;nef  /* Watchdog Timer Control */
#define WDTCTL_L             0x015C 
#define WDTCTL_H             0x015D 
/************************************************************
* Interrupt Vectors (offset from 0xFF80 + 0x10 for Password)
************************************************************/
/************************************************************
* End of Modules
************************************************************/
;mk finis